> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Image Templates

> List all available image templates.



## OpenAPI

````yaml get /image-templates/
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /image-templates/:
    get:
      tags:
        - Image Templates
      summary: List All
      description: List all available image templates.
      operationId: getImageTemplates
      parameters:
        - $ref: '#/components/parameters/items_per_page'
        - $ref: '#/components/parameters/sub_account_id'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/image-template'
                  links:
                    $ref: '#/components/schemas/links'
                  meta:
                    $ref: '#/components/schemas/meta'
              example:
                data:
                  - id: 6
                    user_id: 2
                    sub_account_id: null
                    type: postcard
                    name: Test
                    image: >-
                      https://s3.amazonaws.com/cdn.thanks.io/user_image_library/1533645532.png
                    is_dynamic: false
                    dynamic_image_url: null
                    canva_id: null
                    share_uuid: AQQX-VYXJ-DZM6-XSPD
                    created_at: '2018-08-07T00:00:00.000000Z'
                    updated_at: '2022-07-28T00:00:00.000000Z'
                  - id: 7
                    user_id: 2
                    sub_account_id: null
                    type: postcard
                    name: 'Test #2'
                    image: >-
                      https://s3.amazonaws.com/cdn.thanks.io/user_image_library/1533645579.png
                    is_dynamic: false
                    dynamic_image_url: null
                    canva_id: null
                    share_uuid: ZLSK-FF7K-CF44-UVJM
                    created_at: '2018-08-07T00:00:00.000000Z'
                    updated_at: '2022-07-28T00:00:00.000000Z'
                links:
                  first: https://api.thanks.io/api/v2/image-templates?page=1
                  last: https://api.thanks.io/api/v2/image-templates?page=214
                  prev: null
                  next: https://api.thanks.io/api/v2/image-templates?page=2
                meta:
                  current_page: 1
                  from: 1
                  last_page: 214
                  path: https://api.thanks.io/api/v2/image-templates
                  per_page: '2'
                  to: 2
                  total: 428
        '403':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    items_per_page:
      name: items_per_page
      in: query
      description: Number of items to return per page.
      required: false
      schema:
        type: integer
        default: 25
      example: 5
    sub_account_id:
      name: sub_account_id
      in: query
      description: Filter results by Sub Account ID.
      required: false
      schema:
        type: integer
      example: 1
  schemas:
    image-template:
      type: object
      properties:
        id:
          type: integer
          example: 6
        user_id:
          type: integer
          example: 2
        sub_account_id:
          type: integer
          example: 55
        type:
          type: string
          enum:
            - postcard
            - letter
            - notecard
            - giftcard
            - windowlessletter
          example: postcard
        name:
          type: string
          example: Thank You Image
        image:
          type: string
          description: URL of the template image
          example: >-
            https://s3.amazonaws.com/cdn.thanks.io/user_image_library/1533645532.png
        canva_id:
          type: string
          example: some-canva-id
        created_at:
          type: string
          example: '2018-08-07 00:00:00'
        updated_at:
          type: string
          example: '2018-08-08 00:00:00'
    links:
      type: object
      properties:
        first:
          type:
            - string
            - 'null'
          description: URL of the first page of results
        last:
          type:
            - string
            - 'null'
          description: URL of the last page of results
        prev:
          type:
            - string
            - 'null'
          description: URL of the previous page of results
        next:
          type:
            - string
            - 'null'
          description: URL of the next page of results
    meta:
      type: object
      properties:
        current_page:
          type: integer
          example: 1
          description: Current page number
        from:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the first item on the current page
        last_page:
          type: integer
          example: 1
          description: Total number of pages
        path:
          type: string
          description: Base URL for the resource
        per_page:
          type: integer
          example: 25
          description: Number of items per page
        to:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the last item on the current page
        total:
          type: integer
          example: 1
          description: Total number of items
  responses:
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````